Test::Search::ConstrainTypes Class Reference

Iterator for constrain types. More...

## Public Member Functions

| ConstrainTypes (void)
| Initialize iterator.
bool | operator() (void) const
| Test whether iterator is done.
void | operator++ (void)
| Increment to next constrain type.
HowToConstrain | htc (void) const
| Return current constrain type.

## Detailed Description

Iterator for constrain types.

Definition at line 677 of file search.cpp.

## Constructor & Destructor Documentation

## ConstrainTypes()

Test::Search::ConstrainTypes::ConstrainTypes | ( | void |  | ) |

inline

Initialize iterator.

Definition at line 685 of file search.cpp.

## Member Function Documentation

## operator()()

bool Test::Search::ConstrainTypes::operator() | ( | void |  | ) | const

inline

Test whether iterator is done.

Definition at line 687 of file search.cpp.

## operator++()

void Test::Search::ConstrainTypes::operator++ | ( | void |  | ) |

inline

Increment to next constrain type.

Definition at line 691 of file search.cpp.

## htc()

HowToConstrain Test::Search::ConstrainTypes::htc | ( | void |  | ) | const

inline

Return current constrain type.

Definition at line 695 of file search.cpp.

The documentation for this class was generated from the following file:

- test/search.cpp